Impossible to start any processing tool

2014-05-17 12:40 PM - Vincent chourmo

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: Mac Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18722

Description

When I start a processing tool (script or provider) I have this error message

Uncaught error while executing algorithm

Traceback (most recent call last):

Traceback (most recent call last):

  File "/Users/vincenttinet/.qgis2/python/plugins/processing/core/GeoAlgorithm.py", line 202, in execute

    self.runPreExecutionScript(progress)

  File "/Users/vincenttinet/.qgis2/python/plugins/processing/core/GeoAlgorithm.py", line 232, in runPreExecutionScript

    self.runHookScript(scriptFile, progress)

  File "/Users/vincenttinet/.qgis2/python/plugins/processing/core/GeoAlgorithm.py", line 235, in runHookScript

    if not os.path.exists(filename):

  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/genericpath.py", line 18, in exists

    os.stat(path)

TypeError: coercing to Unicode: need string or buffer, QPyNullVariant found

On macos 10.9.3, with processing version 2.0.2

History

#1 - 2014-05-17 01:35 PM - Victor Olaya

- Status changed from Open to Closed

it was fixed in master recently. Here is the commit:

#b1570fb20ae7a7ef345409c47d8f2cbf165720d8

#2 - 2014-05-17 01:49 PM - Vincent chourmo

Will there be an update to the processing plug-in for 2.2 ?

#3 - 2014-05-18 03:56 AM - Giovanni Manghi

Vincent chourmo wrote:

Will there be an update to the processing plug-in for 2.2 ?
processing is updated (when an update is available) like others plugins using the plugin manager.

#4 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
